
I have written many blogs about several near death experiences. This one continues to be life changing. After 30 years, I still feel deep emotion when I think of it. I almost have to go backwards to tell this story.

I remember someone calling my name. When I finally came around, I learned it was the recovery area nurse. I was very upset that someone was calling my name because I was not ready to go back. I was in a place that was indescribable because it was full or sound and color. I knew who I really was. I did not have any bad self-concepts. I was fully aware of who I really am not just the rather limited definition of my earthly personality. I did not have any big questions, even though I was talking to 'God.' I knew all my answers as I was a fully realized person. God has a male voice that was rather multi-dimensional, like surround sound. I don't think God has a gender but God can choose how to appear to me.

I was very close to my father who died when I was 19. I did not see him there. That is a good thing, because if I had of seen him, I would have not come back to my life on earth. God did not have a body or face, but appeared as dancing light. When the nurse was calling my name, I argued that I did not want to leave God. My words were, 'But I don't want to leave you.' The answer was, 'I am there (on earth) too. I can be with you. You are the one who closed the door.' I also remember that I was shown a holographic image of upcoming events in my life. I was told that these were golden moments and life was full of experiences that I should not miss. Another light Being was telling me about the value of this life. I remember that my then-husband and I were not getting along. I also felt that my childhood had not been a happy one overall. I might have not been thinking of suicide but I was not embracing my life either. Another thing that was hard to leave was all the love and joy I felt. I have re-visited all this many times and realize that there was more. The experience was happening at a level that I cannot remember; it was that nurse calling my name that helped me bring some of these memories back. When I opened my eyes, the nurse had a halo around her. I told her how pretty she was. I remember seeing people differently, they were all beautiful and special. The afterglow of this experience lasted several days and then it faded into more mundane things.

My then-husband and I did divorce. We are very good friends at this time but the marriage was dissolved about two years after this NDE. I call it an NDE. I remained weak and nauseous quite a while after this surgery. I wonder about blood loss or things that might now be realized or at least were not reported to me.

